classification
Title: distutils is silent about multiple -I/-L/-R
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: dstufft, eric.araujo, steve.dower, tarek, vstinner
Priority: normal Keywords: easy

Created on 2005-12-02 16:20 by skip.montanaro, last changed 2021-02-03 18:10 by steve.dower. This issue is now closed.

Messages (6)
msg60842 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2005-12-02 16:20
GCC (actually, most compilers I think) allows you to
specify -L, -I and -R multiple times.  In contrast,
distutils expects on of them with a colon-separated
list of directories.  It only pays attention to the
last one of any of those three flags.  I've been bitten
by this difference a couple times in recent weeks.

It seems that distutils should warn when any of these
flags are given multiple times or (better yet) should
conform more to common compiler usage and allow them to
be given multiple times, collecting all values together
in a list.
msg117695 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-30 02:18
+1 on handling those options like gcc in distutils2.

+1 on printing warnings in distutils1, but I don’t know if it could break third-party code, so Tarek will accept or reject.
msg119375 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-10-22 09:43
Skip, do you agree with my proposal (no behavior change in d1, better behavior in d2) or do you think it could be confusing?
msg119388 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2010-10-22 14:39
I would prefer the gcc-like behavior.  I realize there
are constraints on making changes in distutils1, so what
you propose sounds fine to me.
msg348619 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-29 11:33
This issue is 14 years old: it's far from being "newcomer friendly", I remove the "Easy" label.
msg386279 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:10
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:10:33steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386279

resolution: out of date
stage: needs patch -> resolved
2019-07-29 11:33:36vstinnersetnosy: + vstinner
messages: + msg348619
2014-08-04 15:05:30ezio.melottisetversions: - Python 2.7, Python 3.4
2014-06-27 21:30:41BreamoreBoysetnosy: + dstufft

components: - Distutils2
versions: + Python 3.4, Python 3.5, - 3rd party, Python 3.1, Python 3.2
2011-01-19 17:58:59eric.araujosetkeywords: + easy
assignee: tarek -> eric.araujo
nosy: tarek, eric.araujo
2010-10-22 14:40:21skip.montanarosetnosy: - skip.montanaro
2010-10-22 14:39:48skip.montanarosetnosy: + skip.montanaro
messages: + msg119388
2010-10-22 09:43:07eric.araujosetmessages: + msg119375
2010-09-30 02:18:49eric.araujosetnosy: tarek, eric.araujo
messages: + msg117695
components: + Distutils
versions: + Python 3.1, Python 2.7, Python 3.2
2010-09-30 02:16:24eric.araujosetmessages: - msg107248
2010-09-30 02:16:16eric.araujosetversions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-08-14 05:13:50eric.araujosetassignee: tarek
versions: + Python 2.6, Python 2.5, Python 3.1, Python 2.7
nosy: tarek, eric.araujo
components: + Distutils2, - Distutils
stage: needs patch
2010-08-07 18:11:48terry.reedysetversions: + Python 3.2, - Python 2.6, Python 3.0, Python 3.1, Python 2.7
2010-06-06 22:40:04eric.araujosetnosy: + eric.araujo
messages: + msg107248
2010-05-20 20:26:13skip.montanarosetnosy: - skip.montanaro
2009-02-05 16:34:13akitadasetnosy: + tarek
type: enhancement
versions: + Python 2.6, Python 3.0, Python 3.1, Python 2.7, - Python 2.5
2005-12-02 16:20:34montanaro.historiccreate